server:
  address: 192.168.0.245
#数据源配置
spring:
  # admin-client 的用户名和密码
  security:
    user:
      name: szsq-boot-client
      password: szsq#boot#client#password
  boot:
    admin:
      client:
        instance:
          name: 数字社区实例1
          metadata:
            user.name: ${spring.security.user.name}
            user.password: ${spring.security.user.password}
          prefer-ip: true
        url:  http://192.168.0.245:7259   #这里配置admin server 的地址
        username: szsq-boot-server
        password: szsq#boot#server#password
  redis:
    ##redis 单机环境配置
    host: szsq-boot-redis
    port: 6379
    password:
    database: 0
    ssl: false
    ##redis 集群环境配置
    #cluster:
    #  nodes: 127.0.0.1:7001,127.0.0.1:7002,127.0.0.1:7003
    #  commandTimeout: 5000
  datasource:
    url: jdbc:mysql://szsq-boot-mysql:3306/ycwgdb?useSSL=false&useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&transformedBitIsBoolean=true&serverTimezone=GMT%2B8&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true
    username: root
    password: szsq_db@Szsq123

  #配置rabbitMq 服务器
  rabbitmq:
    host: szsq-boot-rabbitmq
    port: 5672
    username: guest
    password: 2e564ee5-d9ed-11e9-bab6-0242ac170005
    #虚拟host 可以不设置,使用server默认host
    virtual-host: szsq-boot

#blade配置
blade:
  #分布式锁
  lock:
    enabled: false
    address: redis://127.0.0.1:6379
  #本地文件上传
  file:
    remote-mode: true
    upload-domain: https://szsq.nxzhsq.cn/community/visit
    remote-path: /usr/share/nginx/html

oss:
  enabled: true
  name: minio
  tenant-mode: false
  endpoint: http://192.168.0.104:9000
  access-key: D99KGE6ZTQXSATTJWU24
  secret-key: QyVqGnhIQQE734UYSUFlGOZViE6+ZlDEfUG3NjhJ
  bucket-name: cyzhyc
  return-path: https://szsq.nxzhsq.cn/community/miniofile/cyzhyc/

qinlin:
  appId: QCxTKDxQf4WH8Wmk
  appSecret: DiReTxz4SWhmiKX3wrEiAmDaRb3sjsN0
  version: v1
  apiHost: https://gateway.qinlinkeji.com

chinanet:
  crm:
    custinfoverify:
      X-APP-ID: 7ac9dcaabcbc30187915afc5ec3465f7
      X-APP-KEY: 3e83329c4ad42d050234d3e304f56176
      url: http://61.133.213.220:8763/eop/nx/crm/openapi/custInfoVerify/custInfoVerify

#云梯
yunti:
  url: https://zlopen.yun-ti.com
  appKey: bnh6aHNxVmN5dEtGODJPNGdBS1ZMNXJp
  appSecret: Ym5oNmFITnhWbU41ZEV0R09ESlBOR2RC


#腾达
tenda:
  parkCode: SLZX/1P11
  host: tcp://mqtt.tdzntech.com:1883
  userName: xinlin
  passWord: xinlin202208
  clientId: szsq-boot-1-20220321
  topic: tpc/SLZX/1P11

#视频云配置
videocloud:
  server_ip: https://36.103.231.102
  server_port: 6006
  sign_method: md5
  format: json
  v: 2.1
  pwd_encrypt: TcRlEiyjizMOfK4u
  secret: 6GZyUUDr21BH4JKgnmRJZEJuYRBj5D
  v3-app-key: 9510260001
  v3-app-secret: 6S4zou6L
  v3-member-key: aPCLHkHwIXpLeUeJnkPG
  v3-api-host: http://36.103.241.111:19103/api/dict/

zlm:
  serverUrl: http://192.168.0.246
  port: 8888
  secret: 035c73f7-bb6b-4889-a715-d9eb2d1925cc
  defaultVhost: __defaultVhost__
  dstUrl: rtmp://192.168.0.246:1935/live/

#开放端点用于SpringBoot Admin的监控
management:
  health:
    redis:
      enabled: false
    rabbit:
      enabled: false
  endpoint:
    health:
      show-details: always
  endpoints:
    web:
      exposure:
        include: '*'

